Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary
Interface BuildResultsSummaryManager

All Known Implementing Classes:
  BuildResultsSummaryManagerImpl

    public interface BuildResultsSummaryManager

Method Summary
`Commit` | `generateCommitFromChangeLogs(ChangeLogEntry changeLogEntry, BuildResultsSummary resultsSummary)`
`BuildResultsSummary` | `generateSummaryFromBuildResults(BuildResults buildResults)`
`BuildResultsSummary` | `generateSummaryFromBuildResults(BuildResults buildResults, Build build)`
`List` | `getAllBuildResultsSummaries(Build build)`
`long` | `getAverageBuildTime(Build build, int numberOfResults)` Returns average build duration for given number of builds
`BuildResultsSummary` | `getBreakingBuild(BuildResultsSummary buildResultsSummary)`
`BuildResultsSummary` | `getBuildResultsSummary(Build build, int buildNumber)`
`BuildResultsSummary` | `getBuildResultsSummary(String buildKey, int buildNumber)`
`BuildResultsSummary` | `getBuildResultsSummaryById(long id)`
`BuildResultsSummary` | `getFirstBuildSummary(Build build)`
`BuildResultsSummary` | `getLastBuildSummary(Build build)`
`List` | `getLatestbuildResultSummaries(int numberOfResults)`
`List` | `getNeighbouringSummaries(Build build, int buildNumber)` Returns all the `BuildResultsSummary` objects that matches the passed build numbers
`long` | `getNumberOfResults(Build build)`
`void` | `removeBuildResultsSummariesForBuild(Build build)`
`void` | `removeBuildResultsSummary(BuildResultsSummary buildResultsSummary)`
`void` | `saveBuildResultsSummary(BuildResultsSummary buildResultsSummary)`

Method Detail

### getAllBuildResultsSummaries

    List getAllBuildResultsSummaries(Build build)

### getBuildResultsSummaryById

    BuildResultsSummary getBuildResultsSummaryById(long id)

### getBuildResultsSummary

    BuildResultsSummary getBuildResultsSummary(String buildKey,
                                               int buildNumber)

### saveBuildResultsSummary

    void saveBuildResultsSummary(BuildResultsSummary buildResultsSummary)

### removeBuildResultsSummary

    void removeBuildResultsSummary(BuildResultsSummary buildResultsSummary)

### generateSummaryFromBuildResults

    BuildResultsSummary generateSummaryFromBuildResults(BuildResults buildResults)

### generateSummaryFromBuildResults

    BuildResultsSummary generateSummaryFromBuildResults(BuildResults buildResults,
                                                        Build build)

### generateCommitFromChangeLogs

    Commit generateCommitFromChangeLogs(ChangeLogEntry changeLogEntry,
                                        BuildResultsSummary resultsSummary)

### getFirstBuildSummary

    BuildResultsSummary getFirstBuildSummary(Build build)

### getLastBuildSummary

    BuildResultsSummary getLastBuildSummary(Build build)

### getNumberOfResults

    long getNumberOfResults(Build build)

### getBuildResultsSummary

    BuildResultsSummary getBuildResultsSummary(Build build,
                                               int buildNumber)

### getAverageBuildTime

    long getAverageBuildTime(Build build,
                             int numberOfResults)

  Returns average build duration for given number of builds

  Parameters:
    `build` - - must not be null
    `numberOfResults` - - How many build results to use in the average. must be greater 0
  Returns:
    Average build time. 0 if no build found.

### getNeighbouringSummaries

    List getNeighbouringSummaries(Build build,
                                  int buildNumber)

  Returns all the `BuildResultsSummary` objects that matches the passed build numbers

  Parameters:
    `build` -
    `buildNumber` -
  Returns:
    `List` of `BuildResultsSummary`

### removeBuildResultsSummariesForBuild

    void removeBuildResultsSummariesForBuild(Build build)

### getBreakingBuild

    BuildResultsSummary getBreakingBuild(BuildResultsSummary buildResultsSummary)

### getLatestbuildResultSummaries

    List getLatestbuildResultSummaries(int numberOfResults)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.